
function mudfish_adclean_e761127fbc7e64d2b22af11e5809c65a() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`section[class^="css-"] section[class^="css-"] > [class^="css-"]:has(a[target="_blank"]):contains( · AD)`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_e761127fbc7e64d2b22af11e5809c65a();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_e761127fbc7e64d2b22af11e5809c65a();
  });
}
